# FormatDefault
<span class="source-link">[[Source]](src/format/format_spec.md#L3)</span>
```pony
primitive val FormatDefault is
  FormatSpec val
```

#### Implements

* [FormatSpec](format-FormatSpec) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/format/format_spec.md#L3)</span>


```pony
new val create()
: FormatDefault val^
```

#### Returns

* [FormatDefault](format-FormatDefault) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/format/format_spec.md#L5)</span>


```pony
fun box eq(
  that: FormatDefault val)
: Bool val
```
#### Parameters

*   that: [FormatDefault](format-FormatDefault) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/format/format_spec.md#L5)</span>


```pony
fun box ne(
  that: FormatDefault val)
: Bool val
```
#### Parameters

*   that: [FormatDefault](format-FormatDefault) val

#### Returns

* [Bool](builtin-Bool) val

---

